OpenNMS API 1.2.9

## org.opennms.netmgt.xml.event
Class Maskelement

    java.lang.Object
      org.opennms.netmgt.xml.event.Maskelement

All Implemented Interfaces:
  java.io.Serializable

public class Maskelement
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_mename`
`private java.util.ArrayList` `_mevalueList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Maskelement()`

Method Summary
`void` `addMevalue(int index, java.lang.String vMevalue)`
`void` `addMevalue(java.lang.String vMevalue)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearMevalue()`
`java.util.Enumeration` `enumerateMevalue()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getMename()` Returns the value of field 'mename'.
`java.lang.String[]` `getMevalue()`
`java.lang.String` `getMevalue(int index)`
`java.util.Collection` `getMevalueCollection()`
`int` `getMevalueCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeMevalue(java.lang.String vMevalue)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setMename(java.lang.String mename)` Sets the value of field 'mename'.
`void` `setMevalue(int index, java.lang.String vMevalue)`
`void` `setMevalue(java.lang.String[] mevalueArray)`
`void` `setMevalueCollection(java.util.Collection vMevalue)`
`static Maskelement` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _mename

    private java.lang.String _mename

### _mevalueList

    private java.util.ArrayList _mevalueList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Maskelement

    public Maskelement()

Method Detail

### addMevalue

    public void addMevalue(java.lang.String vMevalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMevalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMevalue

    public void addMevalue(int index,
                           java.lang.String vMevalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMevalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearMevalue

    public void clearMevalue()

### enumerateMevalue

    public java.util.Enumeration enumerateMevalue()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getMename

    public java.lang.String getMename()

  Returns the value of field 'mename'.

  Returns:
    the value of field 'mename'.

### getMevalue

    public java.lang.String getMevalue(int index)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMevalue

    public java.lang.String[] getMevalue()

### getMevalueCollection

    public java.util.Collection getMevalueCollection()

### getMevalueCount

    public int getMevalueCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeMevalue

    public boolean removeMevalue(java.lang.String vMevalue)

  Parameters:
    `vMevalue` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setMename

    public void setMename(java.lang.String mename)

  Sets the value of field 'mename'.

  Parameters:
    `mename` - the value of field 'mename'.

### setMevalue

    public void setMevalue(int index,
                           java.lang.String vMevalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMevalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMevalue

    public void setMevalue(java.lang.String[] mevalueArray)

  Parameters:
    `mevalueArray` -

### setMevalueCollection

    public void setMevalueCollection(java.util.Collection vMevalue)

  Parameters:
    `vMevalue` -

### unmarshal

    public static Maskelement unmarshal(java.io.Reader reader)
                                 throws org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.